# $Revision: 1.25 $, $Date: 2012/04/25 12:45:55 $
# TODO
# - fix BR python 2.14
Summary:	Virtual Machine Manager
Name:		virt-manager
Version:	0.9.1
Release:	4
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://virt-manager.org/download/sources/virt-manager/%{name}-%{version}.tar.gz
# Source0-md5:	cfee07b277e315b16d5180cfab5f8307
Patch0:		%{name}-dead-code.patch
URL:		http://virt-manager.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	glib2-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	perl-tools-pod
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-pygobject-devel >= 2.28.6
BuildRequires:	python-pygtk-devel >= 2.24.0
BuildRequires:	sed >= 4.0
Requires(pre,preun,post):	GConf2
Requires(post,postun):	gtk-update-icon-cache
Requires:	python-gnome-gconf >= 2.28.1
Requires:	python-pygobject >= 2.28.6
Requires:	python-pygtk-gtk >= 2.24.0
Requires:	python-libvirt >= 0.9.6
Requires:	python-dbus >= 0.84.0
Requires:	python-gnome-desktop-librsvg >= 2.32.0
Requires:	python-libxml2 >= 2.7.8
Requires:	python-pygtk-glade >= 2.24.0
Requires:	python-virtinst >= 0.600.1
Requires:	hicolor-icon-theme
Requires:	python-gtk-vnc >= 0.4.3
Requires:	python-urlgrabber
Requires:	python-pycairo
Requires:	python-vte0 >= 0.28.2
Suggests:	python-libguestfs >= 1.12.0
Suggests:	gnome-keyring >= 0.4.9
Suggests:	python-gnome-desktop-keyring >= 2.15.4
Suggests:	python-spice-gtk
ExclusiveArch:	%{ix86} x86_64 ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Virtual Machine Manager provides a graphical tool for administering
virtual machines for KVM, Xen, and QEmu. Start, stop, add or remove
virtual devices, connect to a graphical or serial console, and see
resource usage statistics for existing VMs on local or remote
machines. Uses libvirt as the backend management API.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's|PWD|shell pwd|g' icons/hicolor/*/Makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-libvirt-package-names=libvirt \
	--with-kvm-packages=qemu-kvm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
# requires patching
#%%py_postclean %{_datadir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install %{name}.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall %{name}.schemas

%postun
%update_icon_cache hicolor


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README COPYING COPYING-DOCS AUTHORS ChangeLog NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-tui
%{_libexecdir}/%{name}-launch

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/icons
%{_iconsdir}/hicolor/*/apps/virt-manager.png

%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.py[co]
%dir %{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/virtManager/*.py
%{_datadir}/%{name}/virtManager/*.py[co]
%dir %{_datadir}/%{name}/virtManagerTui
%{_datadir}/%{name}/virtManagerTui/*.py
%{_datadir}/%{name}/virtManagerTui/*.py[co]
%dir %{_datadir}/%{name}/virtManagerTui/importblacklist
%{_datadir}/%{name}/virtManagerTui/importblacklist/*.py
%{_datadir}/%{name}/virtManagerTui/importblacklist/*.py[co]

%{_desktopdir}/%{name}.desktop
%{_datadir}/dbus-1/services/%{name}.service
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: virt-manager.spec,v $
Revision 1.25  2012/04/25 12:45:55  baggins
- rel 4
- python-gnome-vfs is not requried

Revision 1.24  2012/02/19 23:20:20  baggins
- rel 3
- added patch removing dead code that caused misleading "variable 'details'
  referenced before assignment" errors which hid the real error message

Revision 1.23  2012/02/18 18:11:01  baggins
- rel 2
- virtinst >= 0.600.1 is required

Revision 1.22  2012/02/18 15:45:31  baggins
- 0.9.1
- install all icons (PWD in Makefile is bashizm)

Revision 1.21  2011/10/09 21:02:21  wiget
- typo in R
- rel. 2

Revision 1.20  2011/10/09 20:32:00  wiget
- up to 0.9.0

Revision 1.19  2011/05/21 19:22:02  wiget
- s/PolicyKit/polkit/
- package svg files

Revision 1.18  2011/04/06 17:37:39  wiget
- start update to 0.8.7

Revision 1.17  2011/01/24 15:22:50  sparky
- added missing BuildRoot

Revision 1.16  2010/05/13 20:06:41  sparky
- some line wrapping and other cosmetics

Revision 1.15  2010/05/13 20:01:14  sparky
- added Source0-md5
- dropped BR: atk-devel, cairo-devel, pango-devel, python-devel,
  python-pygobject-devel, python-pygtk-devel

Revision 1.14  2010/03/31 06:58:42  glen
- use glob for icons, we don't package scalable pixmaps (are
  icons in right place anyway (why not system icons dir?))

Revision 1.13  2010/03/31 06:57:10  glen
- tabs, kill excess newlines
- adapter and todo

Revision 1.12  2010/03/30 22:09:46  matik
- upped to 0.8.4
- removed patch, upstream fix

Revision 1.11  2009/12/10 14:27:39  sparky
- BR: gettext-devel, perl-tools-pod

Revision 1.10  2009/12/10 13:46:36  matik
- upped to 0.8.1
- patch update

Revision 1.9  2009/09/30 08:12:57  matik
- added patch to fix hanging after closing a QEMU VM from Debian (#519979)
- TODO: unpackaged Gnome help files

Revision 1.8  2009/09/17 13:15:03  radek
- version 0.8.0

Revision 1.7  2009/09/17 11:42:30  radek
- release 0.2: gnome-keyring is optional, Suggests instead of R

Revision 1.6  2009/03/24 13:51:15  zawadaa
- up to 0.7.0

Revision 1.5  2008/09/23 16:22:48  paszczus
- added more Requires

Revision 1.4  2008/09/23 13:24:45  paszczus
- s/pygtk2/python-pygtk-gtk/

Revision 1.3  2008/09/23 11:18:34  paszczus
- parent dirs

Revision 1.2  2008/09/23 11:10:13  paszczus
- ok, let`s use PLD packages

Revision 1.1  2008/09/23 10:26:46  paszczus
- raw from spec included in sources
